<script>
import Vue from 'vue';
export default Vue.extend({
  name: 'Quote',
  props: {
    data: { type: Object, required: true, default: () => {} },
  },
});
</script>
<template>
  <div class="quote">
    <img
      v-if="data?.image.url"
      :key="data.image.url"
      :src="data.image.url"
      :alt="data.image.alt"
      loading="lazy"
    />
    <SlpTypography tag="p" variant="quotes" class="slp-mb-32 slp-mt-32">{{
      data.title
    }}</SlpTypography>
    <SlpTypography tag="div" variant="body3"
      ><div v-html="$md.render(data.subtitle)"></div
    ></SlpTypography>
  </div>
</template>
<style lang="scss" scoped>
.quote {
  padding: $spacing-48 0;
  margin: $spacing-64 0 $spacing-96;
  border-top: 1px solid $color-surface-300;
  border-bottom: 1px solid $color-surface-300;
  img {
    max-width: 200px;
  }
  &::v-deep p strong {
    font-weight: 600;
  }
}
</style>
